> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get information about the supplier's BookingDetails Objects

> ## Get information about the supplier's BookingDetails Objects ##

<p>
Retrieves information about the supplier's BookingDetails Objects.
</p>

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>results</td><td>n</td><td>Array</td><td>List of BookingDetails objects,formatted as per GET bookingDetails/{bookingDetailsId}.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/bookingdetails
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/bookingdetails:
    get:
      tags:
        - Version 1
        - Booking Details
      summary: Get information about the supplier's BookingDetails Objects
      description: |-
        ## Get information about the supplier's BookingDetails Objects ##

        <p>
        Retrieves information about the supplier's BookingDetails Objects.
        </p>

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>results</td><td>n</td><td>Array</td><td>List of BookingDetails objects,formatted as per GET bookingDetails/{bookingDetailsId}.</td>
                 </tr>
             </tbody>
         </table>
      operationId: getBookingDetailsAction
      parameters:
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '200':
          description: Returned when successful.
        '403':
          description: Returned when the user is not authorized.
        '500':
          description: Internal error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.